<?php
/*
Copyright (C) 2008,  European Gravitational Observatory 

This file is part of LogBook

LogBook is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

This file was written by Gary Hemming <gary.hemming@ego-gw.it>
*/

///////////////////////////////////
// Initialise general variables //
/////////////////////////////////

// Set error display.
ini_set('display_errors','0');

// Set content variable.
$content = $_GET["content"];
if($content == NULL)
{
	$content = 1;
}

// Check for browser type.
// IE.
if(stristr($_SERVER['HTTP_USER_AGENT'], "MSIE") && stristr($_SERVER['HTTP_USER_AGENT'], "Compatible"))
{
	$browser = "IE";
}
// FF.
elseif(stristr($_SERVER['HTTP_USER_AGENT'], "Firefox"))
{
	$browser = "FF";
}
// Default to FF is unknown.
else
{
	$browser = "FF";
}

// Set user variables.
$user = $_SESSION["user"];
$userID = $_SESSION["userID"];
$loginStatus = $_SESSION['loggedin'];
$webAdmin = $_SESSION["webAdmin"];
if($webAdmin == NULL)
{
	$webAdmin = $_GET["webAdmin"];
}
$loginStatusChk = $_GET["loginStatusChk"]; // Only used by iframe to check user access.

// Manage report variables.
$callRep = $_GET["callRep"];
$step = $_GET["step"];
$now = date("Y-m-d H:i:s");
$fileForDel = $_GET["fileForDel"];
$addCommentTo = $_GET["addCommentTo"];
if($addCommentTo == NULL)
{
	$addCommentTo = $_POST["addCommentTo"];
}
$adminDel = $_GET["adminDel"];
$preview = $_GET["preview"];
$findRep = $_GET["findRep"];
$printCall = $_GET["printCall"];

// Set upload variables.
$uploadError = $_GET["uploadError"];	// Check if an error has occurred during upload process.
$limit_file_type = "yes";				// Limit the file types that can be uploaded (yes/no)?
$size_bytes = 2048576;					// Set the maximum file size in bytes.
$sizeBytesShort = $size_bytes[0].$size_bytes[1]."MB";				// set the text version of this file size.
// Instead of checking the file type, the file extension will be used instead.
$allowed_file_type = array("doc", "pdf", "xls", "ppt", "zip", "tar", "gz", "txt", "dft", "asm", "par", "kat");
$allowed_img_type = array("jpg", "png", "gif", "tif", "ps");
// Set upload file directory.
$upload_dir = "uploads/";

// Search variables.
$counter = $_GET["counter"];
$startPage = $_GET["startPage"];
$reportSection = $_POST["reportSection"];
if($reportSection == NULL)
{
	$reportSection = $_GET["reportSection"];
}
$reportTask = $_POST["reportTask"];
if($reportTask == NULL)
{
	$reportTask = $_GET["reportTask"];
}
$srcCallRep = $_POST["srcCallRep"];
if($srcCallRep == NULL)
{
	$srcCallRep = $_GET["srcCallRep"];
}
$srcDateFrom = $_POST["srcDateFrom"];
if($srcDateFrom == NULL)
{
	$srcDateFrom = $_GET["srcDateFrom"];
}
$srcDateTo = $_POST["srcDateTo"];
if($srcDateTo == NULL)
{
	$srcDateTo = $_GET["srcDateTo"];
}
$srcAuthor = $_POST["srcAuthor"];
if($srcAuthor == NULL)
{
	$srcAuthor = $_GET["srcAuthor"];
}
$srcAuthorType = $_POST["srcAuthorType"];
if($srcAuthorType == NULL)
{
	$srcAuthorType = $_GET["srcAuthorType"];
}
$srcKeyword = $_POST["srcKeyword"];
if($srcKeyword == NULL)
{
	$srcKeyword = $_GET["srcKeyword"];
}
$srcKeywordType = $_POST["srcKeywordType"];
if($srcKeywordType == NULL)
{
	$srcKeywordType = $_GET["srcKeywordType"];
}

// Report Admin variables.
$adminType = $_GET["adminType"];
$nextStep = $_GET["nextStep"];
$reportTitle = $_POST["reportTitle"];
$reportTitle = str_replace("'", "&#39;", $reportTitle);
$reportText = $_POST["reportText"];
$reportText = str_replace("'", "&#39;", $reportText);
$reportTask = $_POST["reportTask"];
if($reportTask == NULL)
{
	$reportTask = $_GET["reportTask"];
}
$reportAuthors = $_POST["reportAuthors"];
$reportAuthors = str_replace("'", "&#39;", $reportAuthors);

// ADMIN variables.
$adSectionName = $_POST["adSectionName"];
$adSectionName = str_replace("'", "&#39;", $adSectionName);
$edSectionID = $_POST["edSectionID"];
if($edSectionID == NULL)
{
	$edSectionID = $_GET["edSectionID"];
}
$adTaskName = $_POST["adTaskName"];
$adTaskName = str_replace("'", "&#39;", $adTaskName);
$adAppName = $_POST["adAppName"];
$adAppName = str_replace("'", "&#39;", $adAppName);
$adAppAccess = $_POST["adAppAccess"];
$adAppLoginMethod = $_POST["adAppLoginMethod"];
$adUserEmail = $_POST["adUserEmail"];
$adUserEmail = str_replace("'", "&#39;", $adUserEmail);
$MNTaskFK = $_POST["MNTaskFK"];
$appDocRoot = $_SERVER["DOCUMENT_ROOT"];
$appScriptName = $_SERVER["SCRIPT_NAME"];
$appDir = $appDocRoot.$appScriptName;
$appDir = str_replace("index.php","",$appDir);
$appDir = str_replace("includes/confirmation.php","",$appDir);
$appURL = $_SERVER["SERVER_NAME"].$appScriptName;
$appURL = str_replace("index.php","",$appURL);
$appURL = str_replace("includes/confirmation.php","",$appURL);
$adAppMailDomain = $_POST["adAppMailDomain"];
$adAppMailDomain = str_replace("'", "&#39;", $adAppMailDomain);

// User management.
$adUsername = $_POST["adUsername"];
$adUsername = str_replace("'", "&#39;", $adUsername);
$adPassword = $_POST["adPassword"];
$adPassword = str_replace("'", "&#39;", $adPassword);
$adForename = $_POST["adForename"];
$adForename = str_replace("'", "&#39;", $adForename);
$adSurname = $_POST["adSurname"];
$adSurname = str_replace("'", "&#39;", $adSurname);
$adEmail = $_POST["adEmail"];
$adEmail = str_replace("'", "&#39;", $adEmail);
$adGroup = $_POST["adGroup"];
$callUser = $_GET["callUser"];

?>